#include "OncillaL3.h"

using namespace std;

namespace rci {
namespace oncilla {

OncillaL3::OncillaL3(const std::string & name)
	: rci::ResourceNode(name)
	, rci::Sensing()
	, rci::PositionSensing() {
	this->_latestJointPosition = JointAngles::create(1,0.0);
}

JointAnglesPtr OncillaL3::getJointPosition() const {
	throw std::runtime_error("Oncilla L3 position readout is not yet implemented.");
}

OncillaL3::~OncillaL3() {
}

std::string OncillaL3::print() const {
	ostringstream outstream(ostringstream::out);
	outstream.precision(3); // Precision when printing double values
	outstream << "<Oncilla Ankle>" << endl;
	return outstream.str();
}


double OncillaL3::unsafeGetPosition() const{
	return this->_latestJointPosition->asDouble(0);
}


void OncillaL3::unsafeUpdatePosition(double value){
	this->_latestJointPosition->setValue(0,value);
}


}
}
