#include "OncillaL4.h"

using namespace std;

namespace rci {
namespace oncilla {

OncillaL4::OncillaL4(const std::string & name)
	:  rci::ResourceNode(name)
	, rci::Sensing()
	, rci::ForceSensing(){
	this->forces = (ForcesPtr(new Forces(0,0,0)));
}

ForcesPtr OncillaL4::getForces() const {
	return this->forces;
}

OncillaL4::~OncillaL4() {
}

std::string OncillaL4::print() const {
	ostringstream outstream(ostringstream::out);
	outstream.precision(3); // Precision when printing double values
	outstream << "<Oncilla Foot>" << endl;
	return outstream.str();
}

void OncillaL4::unsafeUpdateForce(const double * data){
	this->updateForces(ForcesPtr(new Forces(data[0],data[1],data[2])));
}

}
}
