#include "OncillaTrunk.h"

using namespace std;

namespace rci {
namespace oncilla {

OncillaTrunk::OncillaTrunk(const std::string & name)
	: ResourceNode(name)
	, Sensing()
	, PoseSensing() {
}

PosePtr OncillaTrunk::getAbsolutePose() const {
	throw std::runtime_error("Oncilla absolute pose readout is not yet implemented.");
}

PosePtr OncillaTrunk::getDisplacement() const {
	throw std::runtime_error("Oncilla velocity pose readout is not yet implemented.");
}

PosePtr OncillaTrunk::getAcceleration() const {
	throw std::runtime_error("Oncilla acceleration pose is not yet implemented.");
}

OncillaTrunk::~OncillaTrunk() {
}

std::string OncillaTrunk::print() const {
	ostringstream outstream(ostringstream::out);
	outstream.precision(3); // Precision when printing double values
	outstream << "<Oncilla Trunk>" << endl;
	return outstream.str();
}

}
}
